%define pkgname OpenGL
Name:          python-opengl
Version:       3.1.7
Release:       2mamba
Summary:       Standard OpenGL bindings for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pyopengl.sourceforge.net/
Source:        https://pypi.debian.net/PyOpenGL/PyOpenGL-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Obsoletes:    python-opengl-py310 < 3.1.7-2mamba
%pyver_package
%endif

%prep
%setup -q -n PyOpenGL-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/Py%{pkgname}-%{version}.dist-info
%{python_sitelib}/Py%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Thu Jan 18 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.7-2mamba
- rebuilt with python3 = 3.11

* Thu Jun 08 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.7-1mamba
- package created using the webbuild interface
